@echo off
set dir=.\gen\go
set exe=protoc
set gen=protoc-gen-go

if defined GOPATH set PATH=%PATH%;%GOPATH%\bin

where /q %exe% || echo missing %exe% && exit /B
where /q %gen% || echo missing %gen% && exit /B

if not exist %dir% mkdir %dir%
%exe% -I . --go_out=plugins=grpc:%dir% bdledger/api/common.proto
%exe% -I . --go_out=plugins=grpc:%dir% bdledger/api/error_details.proto
%exe% -I . --go_out=plugins=grpc:%dir% bdledger/api/tx_ledger.proto
%exe% -I . --go_out=plugins=grpc:%dir% bdledger/api/query_service.proto

echo all done
